Class
AutoSeqFormat
Auto-detects and stores a file format.

TagSelector

AutoSeqFormat

AutoSeqFormat
Include Headers
seqan/file.h
Remarks
Currently, it is defined as TagSelector<SeqFormats>, with:
typedef
TagList<Fastq,
TagList<Fasta,
TagList<QSeq,
TagList<Raw> > > > SeqFormats;
Specialization of
TagSelector
Functions

appendSeqs | Appends all sequences stored in files of directory to a StringSet.
assignCroppedSeqId | Extracts the sequence id up to the first whitespace of a sequence file fragment.
assignQual | Extracts the quality values of a sequence file fragment.
assignQualId | Extracts the quality value id of a sequence file fragment.
assignSeq | Extracts the sequence part of a sequence file fragment.
assignSeqId | Extracts the sequence id of a sequence file fragment.
guessFormat | Guesses a file format from the contents of a sequence file.
guessFormatFromFilename | Guesses a file format from a sequence file name.
split | Divides the contents of a sequence file into sequence file fragments separated by a file format specific delimiter.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45